#include "graphics.h"

void drawCircle(float x, float y, float z, float r)
{
float vectorY1=y;
float vectorX1=x;

glBegin(GL_TRIANGLES);
for(int i=0;i<=360;i++)
{
float angle=(float)(((double)i)/57.29577957795135);
float vectorX=x+(r*(float)sin((double)angle));
float vectorY=y+(r*(float)cos((double)angle));
glVertex3f(x,y,z);
glVertex3f(vectorX1,vectorY1,z);
glVertex3f(vectorX,vectorY,z);
vectorY1=vectorY;
vectorX1=vectorX;	
}
glEnd();

}

void viewReset(void)
{
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	gluPerspective(45.0f, window_width/(float)window_height, 0.01f, 1000.0f);
	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();
}

void view2D(int w, int h)
{
	glDisable(GL_DEPTH_TEST);
	glPushMatrix();
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	glPushMatrix();
	glOrtho(0, w, 0, h, 0, 1);
	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();
}

void view3D(void)
{
	glPopMatrix();
	glPopMatrix();

	glEnable(GL_DEPTH_TEST);

	viewReset();
}
