#ifndef CAMERA_H
#define CAMERA_H

#include <vector>
#include "vector.h"

typedef struct {
	int time;
	Vector eye, center;
	float roll;
} CAMERA_TRACK;

class Camera {
	float frameCalc(float percentage, float startValue, float endValue);
public:
	std::vector<CAMERA_TRACK> track;
	Vector eye, center;
	float roll;
	Camera(void);
	~Camera(void);
	void render(void);
	void addTrack(int time, Vector eye, Vector center, float roll);
	void setTrack(int time);
};

#endif
