//Scene - An ancestor class for all the effect scenes
#include "scene.h"
#include "timer.h"

Scene::Scene(int timeBegin, int timeEnd)
	:timeBegin(timeBegin), timeEnd(timeEnd)
{
	currentCamera = 0;
	camera[0] = new Camera();
}

void Scene::update(void)
{
	if (timer.getTime() < timeEnd)
	{
		timePosition = (timer.getTime()-timeBegin)/(float)(timeEnd-timeBegin);
		renderScene();
	}
}
