#ifndef SOUND_H
#define SOUND_H

#ifdef FMOD
#include "fmod.h"
#else
#include "minifmod.h"
#endif

class Sound
{
#ifdef FMOD
	FMOD_SYSTEM *system;
	FMOD_SOUND *fsound;
	FMOD_CHANNEL *channel;
	unsigned int fmod_sync;
#else
	FMUSIC_MODULE *mod;
#endif
public:
	Sound() {}
	~Sound() {}

	void init();
	void close();
	int getOrder();
	int getRow();
};

extern Sound sound;

#endif
